

 # Load the normal support files.
  require 'sketchup.rb'
  require 'extensions.rb'
 
  
  # Create the extension.
  ext = SketchupExtension.new('K2WS_Wood_Joint_Tools (WoodWorking Joints)',
      'K2WS/K2WS_Wood_Joint_Tools/K2_ToolsLoader.rb')

  # Author info.
  ext.creator     = 'Keith Krueger email kbkrueger2@gmail.com'
  ext.version     = '2.2.0'
  ext.copyright   = 'K²WS NameSpace for Keith Krueger Wood Shop'
  ext.description = 'Detail WoodWorking Joints: M&T, Dovetails, Dominos, Dowels, Biscuits, Boxjoints, Screw Holes and Pocke Screw Holes'


  # Register and load the extension on startup.
  Sketchup.register_extension ext, true